Bug 102150 - System freeze after resuming from suspend-to-disk
Summary: System freeze after resuming from suspend-to-disk
Status: CLOSED WORKSFORME
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-11 13:10 UTC by incomplete@aixon.co
Modified: 2018-04-23 19:10 UTC (History)
2 users (show)

See Also:
i915 platform: SKL
i915 features: GPU hang


Attachments
the three rectangles represent three virtual desktops (1.46 KB, image/png)
2017-08-11 13:10 UTC, incomplete@aixon.co
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description incomplete@aixon.co 2017-08-11 13:10:37 UTC
Created attachment 133438 [details]
the three rectangles represent three virtual desktops

### Bug description:

When resumed from suspend-to-disk, the display freezes, the mouse cursor can move, but click doesn't have any visible effect anymore, and ctrl-alt-F* doesn't work either, however the REISUB sysrq still works.

This bug is not the same with https://bugs.freedesktop.org/show_bug.cgi?id=101966


### When and how does it happen

The freeze doesn't happen every time, it often happens when the system already has been suspended one or two times, (but I cannot deliberately make it happen), and the freeze won't happen immediately after resuming, it's often triggered by switching between virtual desktops using an Plasma widget called "Pager", (see the attachment pager.png), I am using the "Slide" animation effect.


### Software and hardware

It's a Thinkpad T560 laptop running Archlinux with KDE, here are some packages I installed:

uname --all
Linux riemann 4.12.4-1-ARCH #1 SMP PREEMPT Fri Jul 28 18:54:18 UTC 2017 x86_64 GNU/Linux

extra/libdrm 2.4.82-1
extra/mesa 17.1.6-1
extra/xf86-video-intel 1:2.99.917+777+g6babcf15-1 (xorg-drivers)
extra/xf86-input-libinput 0.25.1-1 (xorg-drivers)
extra/xorg-server 1.19.3-2 (xorg)
extra/plasma-desktop 5.10.4-1 (plasma)
extra/plasma-workspace 5.10.4-2 (plasma)
extra/kdeplasma-addons 5.10.4-1 (plasma)
extra/chromium 60.0.3112.90-1

-- I also have a nvidia card, but I don't use it
extra/libvdpau 1.1.1-2
extra/opencl-nvidia 384.59-1
community/cuda 8.0.61-2
community/cudnn 7.0.1-1


### `journalctl` reported this:

Aug 11 19:57:50 riemann kernel: [drm] GPU HANG: ecode 9:0:0x00322801, in chromium [10238], reason: Hang on rcs, action: reset
Aug 11 19:57:50 riemann kernel: [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
Aug 11 19:57:50 riemann kernel: [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
Aug 11 19:57:50 riemann kernel: [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
Aug 11 19:57:50 riemann kernel: [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
Aug 11 19:57:50 riemann kernel: [drm] GPU crash dump saved to /sys/class/drm/card1/error
Aug 11 19:57:50 riemann kernel: drm/i915: Resetting chip after gpu hang
Aug 11 19:57:51 riemann kernel: thinkpad_acpi: EC reports that Thermal Table has changed
Aug 11 19:57:51 riemann kernel: nouveau 0000:06:00.0: DRM: resuming object tree...
Aug 11 19:57:51 riemann kernel: nouveau 0000:06:00.0: DRM: resuming fence...
Aug 11 19:57:51 riemann kernel: [drm:gen8_reset_engines [i915]] *ERROR* rcs: reset request timeout
Aug 11 19:57:51 riemann kernel: [drm:i915_reset [i915]] *ERROR* Failed to reset chip: -5
Aug 11 19:57:56 riemann kernel: nouveau 0000:06:00.0: DRM: evicting buffers...
Aug 11 19:57:56 riemann kernel: nouveau 0000:06:00.0: DRM: waiting for kernel channels to go idle...
Aug 11 19:57:56 riemann kernel: nouveau 0000:06:00.0: DRM: suspending fence...
Aug 11 19:57:56 riemann kernel: nouveau 0000:06:00.0: DRM: suspending object tree...
Aug 11 19:57:58 riemann kernel: thinkpad_acpi: EC reports that Thermal Table has changed
Comment 1 incomplete@aixon.co 2017-08-11 13:15:23 UTC
BTW, despite of what the log said, "Aug 11 19:57:50 riemann kernel: [drm] GPU crash dump saved to /sys/class/drm/card1/error", that file is empty (when I examined it after REISUB-rebooted from the freezed system).
Comment 2 Elizabeth 2017-10-24 20:57:31 UTC
Hello, recently some patches related to S3 and S4 have been merged, could you try latest tip or kernel version and report back? If problem persist a dmesg or kern.log with debug information (drm.debug=0xe on grub) can be helpful. Thank you.

https://cgit.freedesktop.org/drm-tip
https://www.kernel.org
Comment 3 Jani Nikula 2018-01-22 11:54:47 UTC
What machine is this? 'lspci -nn -s 2' output?
Comment 4 incomplete@aixon.co 2018-01-22 11:59:15 UTC
(In reply to Jani Nikula from comment #3)
> What machine is this? 'lspci -nn -s 2' output?

`lspci -nn -s 2` says:

00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 520 [8086:1916] (rev 07)
Comment 5 Jani Saarinen 2018-03-29 07:11:18 UTC
First of all. Sorry about spam.
This is mass update for our bugs. 

Sorry if you feel this annoying but with this trying to understand if bug still valid or not.
If bug investigation still in progress, please ignore this and I apologize!

If you think this is not anymore valid, please comment to the bug that can be closed.
If you haven't tested with our latest pre-upstream tree(drm-tip), can you do that also to see if issue is valid there still and if you cannot see issue there, please comment to the bug.
Comment 6 Jani Saarinen 2018-04-23 19:10:43 UTC
Is this still the issue, closing, please re-open if still occurs.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.